Neue Fragen mit dem Tag «pip»

Insgesamt gefunden 121 Frage

0
Bewertungen
1
Antwort
253
Ansichten

VS-Code unter Windows: Installieren Sie Python-Pakete im Standardverzeichnis

Wenn ich Erweiterungen wie Pylint über die VSCode-GUI installiere (es sagt mir, dass es ein Paket braucht und fragt mich, ob ich es installieren möchte), werden es installiert, um ... C:/Users/me/AppData/Roaming/Python/Python37/... zu tun python -m pip install -U <package> --user Wie kann ich...

0
Bewertungen
0
Antworten
271
Ansicht

Die Installation des Pipenv-Moduls schlägt mit aktivierten Lmod-Modulen fehl

Ich habe vor kurzem mit Cluster Computing / Administration experimentiert. Ich habe einen kleinen RasPi-Cluster mit gemeinsamem Speicher. Auf dem NFS-Speicher wird Python 3.6 in einem Ordner installiert. Ich verwende LMOD, um das dynamische Laden von Modulen zu ermöglichen, und habe es eingerichtet,...

0
Bewertungen
1
Antwort
293
Ansichten

Das Skript wird in einem Verzeichnis installiert, das nicht PATH ist

Während des Installationsvorgangs von Jupiter Notebook mithilfe von pip wurde angegeben, dass Skripts in einem Ordner installiert wurden, der sich nicht in PATH befindet. Kann es Probleme geben? Wie kann ich es reparieren? Hier ist das vollständige Protokoll: Installing collected packages: six, ipyt...
fragte biryulin04 vor 3 Jahren

0
Bewertungen
0
Antworten
302
Ansichten

Pypi oder Pip können nicht verwendet werden

Ich kann keine Pypi- oder Pip-Installation mit einem Tool verwenden, das ich verwende. Ich habe mehrere DNS-Server an meinem Ende ausprobiert, beide lösen sich auf die richtige IP-Adresse auf (überprüfen mit dig). Das Überprüfen der Website mit einem Browser führt zu einem Fehler beim Zurücksetzen d...
fragte J. Doe vor 3 Jahren

0
Bewertungen
0
Antworten
353
Ansichten

Twisted-Rad unter Windows 7 installieren

Ich versuche, Scrapy unter Windows 7 zu installieren. Aufgrund von Problemen bei der Installation konnte ich zunächst Twisted installieren. Wenn ich es versuche pip install twisted Ich bekomme "gescheitertes Baurad für Twisted". Stieß ich auf Vorschläge: Installation von Twisted auf Python 3.5 und...
fragte Casso vor 3 Jahren

0
Bewertungen
2
Antworten
377
Ansichten

Keine Ansible-Konfigurationsdatei oder Verzeichnis / etc / ansible nach der Installation von pip und yum

Also habe ich versucht, Ansible für einige Serververwaltung zu installieren, aber es scheint, dass Yum und Pip beide nicht zusammenarbeiten wollen: Ich habe eine yum-Installation ausprobiert, die sich weigert zu arbeiten, da es anscheinend keine Repos für babel / jinja2 mehr zu finden scheint. Pip-...
fragte RickwhoPrograms vor 4 Jahren

1
Bewertungen
1
Antwort
260
Ansichten

pip erkennt vom Benutzer installierte Pakete nach dem Upgrade von Systempython nicht?

Ich benutze Python auf meinem Fedora KDE (x64) PC. Ich hatte früher Fedora 25 und hatte Python 3.5 mit sudo dnf install python3verschiedenen Paketen wie numpyund scipyKommandos wie installiert sudo dnf install python3-numpy. Nun waren nicht alle geeigneten Pakete oder Versionen für Fedora-Repository...

1
Bewertungen
1
Antwort
206
Ansichten

Verschiedene Methoden zum Installieren / Klonen eines Repositorys

Wenn ich mit github arbeite, weiß ich, dass ich ein Repository klonen kann, indem ich Folgendes mache: git clone https://github.com/name/repostitory.git aber ich habe auch Dinge gesehen wie: pip install git+https://github.com/name/repostitory@master Nur neugierig auf die Unterschiede zwischen den...
fragte user1551817 vor 4 Jahren

0
Bewertungen
0
Antworten
251
Ansicht

Wie entferne ich die Sudo-Abhängigkeit für mit Bioconda installierte Programme?

Ich habe ein Programm mit conda und pip mit sudo-Berechtigungen installiert, da das Programm eine Vielzahl von Abhängigkeiten erfordert, für die Installationen Root erforderlich ist. Nachdem das Programm erfolgreich installiert wurde, wurde ich gebeten, sudo zu verwenden, um es auszuführen. Andernfa...
fragte Shujun Ou vor 4 Jahren

4
Bewertungen
1
Antwort
697
Ansichten

Schwierigkeiten beim Ausführen des Pip von der Eingabeaufforderung

Ich versuche, numpy auf meinem Computer zu installieren. Befolgen Sie die Anweisungen hier . Ich habe die Eingabeaufforderung erhalten, um nach dem Hinzufügen zu meinem Pfad nach Python zu suchen, und habe es von python.org installiert, das anscheinend Pip für die Verwendung mit der Installation kon...

2
Bewertungen
1
Antwort
1499
Ansichten

pip kann URL aufgrund eines Fehlers mit dem SSL-Zertifikat nicht abrufen

Plötzlich konnte pip, der Paketmanager von Python, keine neuen Module mehr installieren. Das Problem ist das Abrufen der URL und die Ursache scheint das SSL-Zertifikat zu sein. Ich verstehe irgendwie, was das bedeutet, aber nicht vollständig, und ich habe keine Ahnung, wie ich das klären soll. Ein B...

0
Bewertungen
1
Antwort
189
Ansichten

Fehlermeldung nach dem Upgrade von pip

Bei der Verwendung von pip habe ich immer wieder eine Meldung erhalten, dass ich eine alte Version verwendet habe, und ich konnte ein Upgrade durchführen. pip install --upgrade pip --user während in meinem Konto auf einem Computer-Cluster. Jetzt, wenn ich es einmal probiere: pip --version Ich erha...
fragte user1551817 vor 4 Jahren

4
Bewertungen
2
Antworten
442
Ansichten

brauchen <unrar dll.hpp=""> zur Installation von unrardll auf Ubuntu </unrar>

Nach dem Upgrade auf Ubuntu 18.04 gibt Calibre diese Fehlermeldung aus, wenn eine .cbr-Datei geöffnet wird: calibre, version 3.21.0 ... File "/usr/lib/calibre/calibre/utils/unrar.py", line 53, in extract from unrardll import extract ImportError: No module named unrardll Okay, also ... #&gt; sudo...
fragte spraff vor 4 Jahren

0
Bewertungen
1
Antwort
312
Ansichten

Pip / Python six.add_metaclass Fehler

Ich habe dieses Problem seit ungefähr einer Woche, in dem ich den Befehl pip in keiner Weise verwenden kann, ohne dieselbe Fehlerzeichenfolge zu erhalten. Ich konnte es nicht an irgendetwas binden, das ich online gefunden habe, und hatte wenig Glück, es zu reparieren. Wenn ich den Befehl pip verwend...
fragte Greg vor 4 Jahren

0
Bewertungen
3
Antworten
377
Ansichten

Plotten mit igraph, kairo und py3cairo ist nicht möglich

Also entfernte ich Xcode vor einiger Zeit und fand es komplizierter als die intuitive Benutzeroberfläche von PyCharm und Eclipse. In meinen Bemühungen, die igraphBibliothek für Python 3 zu verwenden, sind jedoch cairoPlots erforderlich . Während der offizielle Link MacPort empfiehlt, folgte ich dies...

1
Bewertungen
1
Antwort
328
Ansichten

S3cmd auf MacOS High Sierra mit Pip installieren

Ich habe s3cmdmit pipMacOS High Sierra installiert, das erfolgreich installiert wurde. sudo pip install --user s3cmd The directory '/Users/crmpicco/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owne...

0
Bewertungen
2
Antworten
592
Ansichten

Kann ich Pakete von bestimmten Kanälen installieren, wenn PIP verwendet wird, wie es in Anaconda möglich ist?

In Anaconda gibt es die Möglichkeit, den Konfigurationsdateien "Channels" hinzuzufügen. Jedes mit installierte Paket conda install ...sucht zuerst nach Paketen in diesen Kanälen (wie zum Beispiel dem intelKanal). Gibt es eine Möglichkeit, PIP auch von bestimmten Kanälen installieren zu lassen?
fragte Daniel Möller vor 4 Jahren

0
Bewertungen
0
Antworten
393
Ansichten

Anaconda - So laden Sie Pakete herunter, ohne sie zu installieren

Ich sehe, dass pip einen Befehl hat pip download, der Pakete herunterlädt, ohne sie zu installieren. Gibt es die gleiche Möglichkeit bei Anaconda? Ich möchte eine Anaconda-Umgebung in einer virtuellen Maschine erstellen, die keinen Zugriff auf das Internet hat (aber Dateien von der Hostmaschine erh...

1
Bewertungen
1
Antwort
1699
Ansichten

Wie installiere ich pip in cygwin?

Ich möchte pip in cygwin (Windows 10) installieren. Wenn ich das versuche, bekomme ich den Kommentar, dass die Zieldatei fehlt. Wie kann ich also eine Datei auswählen? Gibt es eine Möglichkeit, das gesamte Dateisystem in cygwin zu sehen? Ich habe, oder so dachte ich, Pip bereits aus dem cygwin-Insta...
fragte FredSwed vor 4 Jahren

0
Bewertungen
1
Antwort
762
Ansichten

Fehlerbehebung bei der Installation von Python-Anforderungen unter OS X

Versuche, ein Beispiel für ein Flug-Python-Skript auszuführen, schlagen fehl: Users-MacBook-Air:FlightAwareXML3 user$ python flightawareXML01.py Traceback (most recent call last): File "flightawareXML01.py", line 9, in &lt;module&gt; import requests Der Versuch, Anforderungen über Pip zu installie...
fragte gatorback vor 4 Jahren

1
Bewertungen
0
Antworten
813
Ansichten

Wie installiere ich das "google" -Modul für Python in Windows 10?

Es fällt mir schwer, das googleModul auf meinem Python 3.6.4 zu installieren oder tatsächlich, wenn Python es sieht: C:\WINDOWS\system32&gt;python -V Python 3.6.5 C:\WINDOWS\system32&gt;python -m pip install --upgrade google Requirement already up-to-date: google in c:\program files (x86)\python36-...

1
Bewertungen
1
Antwort
1503
Ansichten

Entfernen aller ursprünglichen System-Standard-Pythons unter macOS

Ich versuche, die verschiedenen Python-Installationen auf meinem MacBook Pro (macOS 10.13.4) zu bereinigen, indem ich alles außer dem ursprünglichen Systempython (2.7.2 für die aktuelle Version von macOS) entferne. Ich hatte schon einmal Installationen von python.org, macports und Homebrew, und ich...
fragte Eric Roch vor 4 Jahren

0
Bewertungen
0
Antworten
238
Ansichten

Aktualisierung der Pip-Version in der ec2-Instanz über ssh nicht möglich

Wenn ich versuche, die Pip-Version der ec2-Instanz über ssh zu aktualisieren, erhalte ich eine solche Fehlermeldung During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 209, in main stat...
fragte Sakthi Panneerselvam vor 4 Jahren

0
Bewertungen
0
Antworten
1429
Ansichten

Pip hinter einem PAC-Proxy verwenden

Der Proxy an meinem Arbeitsplatz ist in einer PAC-Datei angegeben, die auf Browser angewendet wird, nicht jedoch die Befehlszeile / PowerShell. Dies bedeutet, dass ich keine pip-, virtualenv- oder Python-Bibliotheken verwenden kann, die wie Anfragen einen Webzugriff benötigen. Ich habe versucht, pip...
fragte James Whitehead vor 4 Jahren

-1
Bewertungen
1
Antwort
1997
Ansichten

Pip3 kann nicht in Ubuntu 17.04 installiert werden

Ich versuche, pip3 in meiner Anaconda-Umgebung zu installieren. Aber ich bekomme einen Fehler. Jede Hilfe wäre dankbar. sudo apt install python3-pip Hier sind die Fehler: Err:1 http://in.archive.ubuntu.com/ubuntu zesty-updates/main amd64 libexpat1-dev amd64 2.2.0-2ubuntu0.1 404 Not Found [IP: 91.18...
fragte JakeGould vor 4 Jahren

0
Bewertungen
0
Antworten
1081
Ansicht

Importfehler: Kein Modul namens - Nach manueller Installation

Ich versuche, den folgenden Code auf einem Computer zu verwenden, der keinen Internetzugang hat. https://github.com/williballenthin/EVTXtract Ich folgte dieser Prozedur, um die Dateien mit PIP herunterzuladen, kopierte die Dateien ohne Internetzugang auf den Computer und führte die Installation durc...
fragte Matt vor 4 Jahren

2
Bewertungen
1
Antwort
1028
Ansichten

pip fehlt aus python3.6 auf Ubuntu 16.04

Ich habe Python 3.6 auf Ubuntu 16.04 installiert: add-apt-repository ppa:jonathonf/python-3.6 Leider ist kein pipenthalten. Wie hast du das gelöst?

1
Bewertungen
1
Antwort
298
Ansichten

Installieren von Python-Paketvarianten mit Conda / Pip unter MacOS

Ich habe derzeit viele Python-Pakete mit bestimmten Varianten installiert. Zum Beispiel verwende ich den gcc5-Build von Scipy. Ich habe dies mit Macports gemacht, wobei es so einfach ist wie: port install py35-scipy+gcc5 Gibt es eine Möglichkeit, solche Varianten mit Conda oder Pip zu spezifizieren...

0
Bewertungen
1
Antwort
1163
Ansichten

Wiederholte Installation eines Pakets im Docker-Image

Ich baute ein Python-Paket namens my-package. Ich habe keine Absicht, es öffentlich zu machen, also erfolgt die Installation meist über unsere internen Server. Kürzlich hat ein älterer Entwickler eine Architektur mit Docker erstellt, bei der die Anwendung gehostet wird und my-packageeine Abhängigkei...
fragte Tejas Jayasheel vor 4 Jahren

0
Bewertungen
1
Antwort
298
Ansichten

Warum unterscheidet sich die Python3-Adresse zwischen den beiden Anweisungen in Ubuntu?

~$ which python3.5 /usr/bin/python3.5 ~$ pip3 --version pip 9.0.1 from /usr/local/lib/python3.5/dist-packages (python 3.5) eine ist eine /usr/bin/python3andere ist /usr/bin/local/lib/python3.5warum?
fragte sweet virus vor 5 Jahren